MuldeR's Utilities for Qt MUtilities

Classes | Namespaces
Lazy.h File Reference

This file contains a template class for lazy initialization. More...

`#include <MUtils/Global.h>`
`#include <MUtils/Exception.h>`
`#include <QThread>`
`#include <QAtomicPointer>`
`#include <QAtomicInt>`
`#include <functional>`

Go to the source code of this file.

## Classes
class | MUtils::Lazy< T >
| Lazy initialization template class. More...

## Namespaces
| MUtils
| Global MUtils namespace.

## Detailed Description

This file contains a template class for lazy initialization.